#pragma once
#include "../base/interface.hpp"

namespace lsp::provider
{
    class Shutdown : public IRequestProvider
    {
    public:
        Shutdown() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
